<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top" background="images/diweng.gif" width="100%" height="100%" style="padding:30px"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="179" background="images/logobg1.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="179" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right center; padding-top:30px; padding-left: 40px;">
<!-- LOGO -->       
	   <table width="260" border="0" cellpadding="0" cellspacing="0">
           <tr>
           <td width="42" rowspan="5"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
         </tr>
         <tr>
           <td valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
         </tr>
         <tr>
           <td rowspan="2" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
         </tr>
       </table>
<!-- END LOGO -->
	
	</td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="40" align="left" background="images/diwing.gif" style="padding-right: 20px; padding-left: 20px;">
<!-- END MENU -->
   <table border="0" cellpadding="0" cellspacing="0" background="images/diwing.gif">
     <tr>
       <td width="6" height="40"></td>
	   <xsl:call-template name="TOP-MENU"/>
     </tr>
   </table>
<!-- END MENU -->
		</td>
      </tr>
      <tr>
        <td height="1" bgcolor="#FFFFFF"></td>
      </tr>
      <tr>
        <td width="100%" height="100%" valign="top" bgcolor="#FFFFFF"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="100%" height="100%" valign="top" style="padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/text.gif" border="0" alt=""/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%" ><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
			
			</td>
            <td width="215" valign="top" bgcolor="#D0D0D0"><table width="215" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="images/spacer.gif" width="215" height="15" /></td>
              </tr>
              <tr>
                <td align="center" valign="top">
<!-- SUBMENU -->
<table width="195" border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
</table>
 <!-- SUBMENU -->
 <br/>
				</td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="40" align="center" style="padding: 10px;">
<!-- BOTTOM MENU -->
	<table border="0" cellpadding="0" cellspacing="0">
      <tr>
<xsl:call-template name="BOTTOM-MENU"/> 
      </tr>
    </table>
<!-- BOTTOM MENU -->
		
		</td>
      </tr>
      <tr>
        <td height="30" align="center">
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td>
<!-- FOOTER -->
	<div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER -->
		</td>
        </tr>
    </table>
		</td>
      </tr>
    </table></td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
  <tr>
    <td aline="center" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    <td width="20"><img src="images/bullet-right.gif" width="6" height="7"/></td>
  </tr>
		</xsl:when>
		<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
  <tr>
    <td aline="center"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   <td width="20"><img src="images/bullet-right.gif" width="6" height="7"/></td>
  </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
     <tr>
        <td><img src="images/spacer.gif" width="10" height="5" /></td>
     </tr>
     <tr>
        <td height="2" colspan="2" bgcolor="#D5D5D5"></td>
     </tr>
     <tr>
        <td><img src="images/spacer.gif" width="10" height="5" /></td>
     </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
 <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
 <td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 <td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td><img src="images/spacer.gif" width="15" height="2" /></td>
<td  width="8"><img src="images/bullet-bo.gif" width="7" height="7"/></td> 
<td><img src="images/spacer.gif" width="15" height="2" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
