<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" bgcolor="#ffffff" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#ffffff">
<tr valign="top">
    <td height="46" colspan="2" valign="top" class="iconfoot">
	<!-- MENU -->	
	<table  border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
	  <xsl:call-template name="TOP-MENU"/>
        </tr>
    </table>
	<!-- END MENU -->
	</td>
  </tr>
    <tr>
    <td colspan="2" align="left" valign="top" height="220"><img src="images/space.gif" width="780" height="1"/>
      <table width="100%" height="220" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="542" align="left" valign="top"><img src="images/header.gif" width="542" height="220"/></td>
		<td background="images/header-03.gif"><img src="images/space.gif" width="8" height="8"/></td>
        <td width="220" align="right" valign="middle" background="images/headerbg.gif"><table width="220" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="70"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
          </tr>
          <tr>
            <td valign="bottom" class="company" style="padding-top:7px;"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
          </tr>
          <tr>
            <td valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
    </table>
	</td>
  </tr>
  <tr>
    <td colspan="2" height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="left" valign="top" width="100%" height="100%" style="padding:10px;">
            <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td valign="top" class="pageContent" style="padding-left:10px;padding-right:10px; ">
                    <!-- CONTENT -->
                    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                        <tr>
                            <td>
                              <table cellpadding="0" cellspacing="0" border="0">
                                <tr>
                                  <td style="padding-top:5px;" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                  <td class="icon"><img src="images/icon_text.gif" alt="" width="20" height="20" border="0"/></td>
                                </tr>
                              </table>
                            </td>
                        </tr>
                        <tr>
                            <td height="100%" valign="top" class="pageContent" name="SB_stretch">
                  	            <xsl:apply-templates select="PAGE-CONTENT"/>
                            </td>
                        </tr>
                    </table>
                    <!-- END CONTENT -->
                </td>
              </tr>
            </table>
        </td>
        <td width="220" height="280" valign="top" class="lineright"><img src="images/space.gif" width="220" height="15"/>
            <table width="220" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td style="width:220px;">
                  <!-- SUBMENU -->
                  <table width="188"  border="0" align="center" cellpadding="0" cellspacing="0">
                  <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                </table>
            <!-- END SUBMENU --></td>
              </tr>
            </table>           </td>
      </tr>
    </table></td>
  </tr>
    <tr>
      <td width="100%" height="20" align="left" valign="top" background="images/submenu-line.gif">
	  <img src="images/submenu-sian.gif" width="539" height="20"/></td>
    <td width="220" align="left" valign="top" background="images/submenu-line2.gif" bgcolor="#999999">
	<img src="images/space.gif" width="220" height="1"/>
	</td>
    </tr>
    <tr>
    <td height="40" width="100%"><table align="center" cellpadding="0" cellspacing="0">
      <tr>
        <!-- BOTTOM MENU -->
        <xsl:call-template name="BOTTOM-MENU"/>
        <!-- END BOTTOM MENU -->
      </tr>
    </table></td>
  <td height="40" background="images/submenu-line3.gif">
  <table border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td class="footer"><div align="center" style="padding:10px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
        </tr>
      </table></td>
  </tr>
</table>
</BODY>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
      <tr>
	    <td class="iconleft"><img src="images/icon_left.gif" width="12" height="9" /></td>
        <td class="submenu"><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
      </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
      <tr>
	    <td class="iconleft"><img src="images/icon_left.gif" width="12" height="9" /></td>
        <td class="submenu"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
       <tr>
        <td height="7" colspan="2" background="images/line_sub.gif"></td>
       </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		   <td class="bmenu" aling="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		   <td class="bmenu" aling="center"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
           <td class="bmenu" aling="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	       <td width="25" aling="center"><img src="images/icon_down.gif" alt="" width="14" height="37"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
